# Changelog

## [4.0.1] - 2023-10-11

### Changed

- Soundtrack: If Transition does not exist, MedHi has been moved to start from when the phase ends to when analyze begins (~5s diff). This is to prevent the MedHi playing too early, feeling off.
- Switched from Debug build to Release build

### Fixed

- Fixed last 1.5s of a song being cut off when dnf was enabled
- Song Preloading was added to prevent a short time of no song while switching songs, waiting for the next song to load
- Fixed phases not progressing when Phasetr doesnt exist
- Fixed announcer padding not working
- Fixed crash that would occur when phases was enabled but there is no valid intros


## [4.0.0] - 2023-09-27 - Soundtrack Support

### Added

- Added support for replacing Zosig Voicelines
- Added Soundtrack support, an alternative to Bank BGMs to allow for MAXIMUM flexibility to song modders.
- Added support for usage of Soundtracks and PTNHBGML outside of TnH and into custom gamemodes.


## [3.1.0] - 2021-12-24

### Added

- Added variable front and back padding (Time distance between an event occuring, and the voiceline starting, and time distance between the voiceline ending, and the next queued voiceline starting, respectively) at the request of Trittyburd. To use, add a field in your announcer yamlfest `front_padding = [time in seconds]` and `back_padding = [time in seconds]`. Default is 0.2 for front_padding and 1.2 for back_padding. These fields are not necessary, and if not present, will default to the default

## [3.0.0] - 2021-12-23 - Sosig Voiceline Support

### Added

- Now supports replacement of Sosig Voicelines (Will update the wiki on details on how to later...)

### Fixed

- Pretty sure there was a very minor bugfix or two in here

## [2.0.1] - 2021-12-18

### Fixed

- Fixed incorrect thunderstore packaging that would accidentally flatten included files, preventing display of icon and announcer snippets for default announcer and default bgm
- Fixed bug that would make all BGM snippets play the first listed BGM when you specifically chose an announcer first then came back to the BGM screen (for the entire game- reloading the lobby and redoing would fix it)
- Fixed accidentally applying the BGM volume to the announcer instead of the announcer volume

## [2.0.0] - 2021-12-12 - Announcer Support

### Added

- Added support for announcers to the TnH Menu

### Fixed

- Fixed logging and cut down on excessive logging
- A variety of misc. fixes

## [1.5.4] - 2021-12-04

### Added

- Now displays image of the song selected

### Changed

- Song snippets no longer play once TNH starts

## [1.4.4] - 2021-10-31

### Changed
- Plays snippet of selected song (8s) of the high-combat audio when selecting a new song
- Font size of selected song lowered to prevent text getting cut off
- File size cut by two-thirds


## [1.4.3] - 2021-10-09

### Fixed

- Volume control and bank list scrolling now work again
- Fixed third button on the list not working

## [1.4.2] - 2021-10-08

### Fixed

- Fixed Stratum bank files accidentally being loaded as a legacy bank
- Prevented Stratum bank files loading if it is already in the bank list

## [1.4.1] - 2021-10-08

### Added

- Now supports stratum loading with tag `tnhbankfile`, plugin GUID is `dll.potatoes.ptnhbgml`

### Changed

- Updated to Sodalite v1.1
- Changed panel texture


## [1.4.0] - 2021-09-15

### Changed

- Panel revamped; now displays 8 songs at once
- Panel removed from wrist menu
- Panel now spawns by default in TnH lobby
- Bank name now displays as `BankName` as opposed to `MX_TAH_BankName.bank`
- Banks are now ordered alphabetically (except for default bank, which is always last)


## [1.3.1] - 2021-09-12

### Changed

- Removed stratum as a dependency, as it's not being used yet.


## [1.3.0] - 2021-09-10

### Changed

- Volume can now be changed in panel
- Default TNH music can now be selected in the panel
- PTNHBGML now remembers your last used bank, to prevent needing to change banks every launch


## [1.2.0] - 2021-08-11

### Added
- Added panel to wrist menu that allows you to change BGM in game (You cannot change BGMs mid TNH run)

### Changed

- Sodalite added as a dependency
- Audio range has been moved from 0 - 1 to 0 - 4

### Fixed

- Fixed error when no custom TNH BGM was loaded

## [1.1.0] - 2021-08-11

### Added

- Added config to audio allowing one to change volume magnitude from 0-1

## [1.0.0] - 2021-08-10

Whoo! What a doozy for a name. For an easier name, you're welcome to use the official acronym, PTNHBGML. Much nicer.

Anyway, PTNHBGML is a simple mod; and it's in the name. It loads music. It replaces your old Take And Hold background music with much nicer (insert genre of music) that you enjoy.

NOTE: Because of limitations of the human ear, it can only load one BGM mod at once.

For Modders:
Of course, you may wonder how to make your mod PTNHBGML compatible.
First of all, actually make your music mod. You can follow Sora101TD's tutorial [over here.](https://h3vr-modding.github.io/wiki/modders/asset_replacement/tnh_music/hold_music.html)
Then, rename your .bank file to `MX_TAH_[MyEpicMusicModNameHere].bank`.
Once you've done that, simply upload your fancy music mod as a regular Thunderstore mod. PTNHBGML should now pick it up!